<!DOCTYPE html>
<?php

/*  FILMOTECH Website - DETAIL page
	(c) 2013-2021 by Pascal PLUCHON (http://www.filmotech.fr)

	Adapted by Yves Le Houerf (http://www.ifik.fr) - Template Films1 red #e50916
	Code published under the MIT license based on Bootstrap (https://getbootstrap.com)
	Web fonts from Google (https://fonts.google.com) */

// Site parameters
require_once("include/params.inc.php");
require_once("include/config.inc.php");

// Get configuration
$cfg = new CONFIG();

// Connection to database
try {
  if ( $cfg->DB_TYPE == 'sqlite' ) {
	$db = new PDO('sqlite:'.$cfg->SQLITE_DIRECTORY.$cfg->DB_NAME.'.sqlite3'); }
  else {
	$db = new PDO('mysql:host='.$cfg->DB_SERVER.';dbname='.$cfg->DB_NAME, $cfg->DB_USER, $cfg->DB_PASSWORD);
	$db->query("SET NAMES UTF8"); }
}

catch (Exception $e) {
  die('Erreur : '.$e->getMessage());
}

// Select Movie ID
if ((isset($_GET['id']))) $id=$_GET['id']; else $id=-1; 
$req = $db->prepare('SELECT * FROM '.$cfg->DB_TABLE.' WHERE ID = :id');
$req->execute(array('id' => $id));

// Formatting functions
function add_commas( $string ) {
	return str_replace("\r",", ",$string);	
}
function add_br( $string ) {
	return str_replace("\r","<br />",str_replace("\n","<br />",$string));
} ?>

<html>
  <head>
	<title><?php echo($window_title); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- Bootstrap -->
	<link href="css/bootstrap.css" rel="stylesheet" media="screen">
	<link href="css/filmotech.css" rel="stylesheet" media="screen">
	<link rel="shortcut icon" href="img/pic/Favicon16x16.png" type="image/x-icon" />  </head>

  <body id="top">
	<!-- Nav bar *********************************** -->
	<nav class="navbar navbar-inverse navbar-dark navbar-fixed-top">
	  <div class="container">
		<div class="navbar-header">
		  <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
			<span class="sr-only">Navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		  </button>
		  <a href="index.php" class="navbar-brand"><?php echo $navbar_title; ?></a>
		</div>
		<!-- Collect the nav links, forms, and other content for toggling -->
		<div id="navbar" class="navbar-collapse collapse">

 <?php include("include/menu.php"); ?>

		  <ul class="nav navbar-nav navbar-right">
			<li class="dropdown">
			  <a href="#" class="dropdown-toggle" id="search" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
			  <?php echo($navbar_search_by.' '.$search_label); ?> <span class="caret"></span></a>
			  <ul class="dropdown-menu">
				<?php 
				foreach ($search_fields as $value) {
				  echo( '				<li><a tabindex="0" href="#" name="'.$value.'">'.$field_labels[$value].'</a></li>'."\n");
				}?>
			  </ul>
			</li>
		  </ul>

		  <form class="navbar-form navbar-right" role="search" method="post" action="index.php">
		  <div class="form-group">
			<input class="champ_recherche" type="hidden" name="search_field" value="<?php echo($search_field); ?>">
			<input type="text" class="form-control" placeholder="<?php echo($navbar_search) ?>" name="search_query">
		  </div>
			<button type="submit" class="btn modl1_borders modl1"><?php echo($navbar_go) ?></button>
		  </form>

		</div>
	  </div> <!-- End of navbar container -->
	</nav>

<!-- Update window title with movie title -->
	  <?php
		while ($data = $req->fetch()) {
		// Update window title
		echo '<script>document.title += " - '.$data['TitreVF'].'";</script>'."\n"; ?>

	<div class="container mrg_top70">
	  <div id="content"><!-- Movie Detail Start -->

		<div class="row"><!-- First line ************************************************************************* -->

		  <div class="col-md-3 col-sm-12"> <!-- Affiche -->
			<div class="ps-image">
			  <?php 
				$filename = sprintf('%s/Filmotech_%05d.jpg' , $cfg->POSTERS_DIRECTORY , $data['ID']);
				echo '		  <img class="box-list" src="'.$filename.'" width="252px" height="357px" alt="'.$data['ID'].'" /></a>'."\n"; ?>
			</div>
			<div class="baseline-detail">
			  <?php // Unseen and Lent Icons
				if ( ($data['FilmVu'] == 'NON') && ($data['PretEnCours'] == 'OUI') ) {
					  echo '				<img src="img/rondG-16x27.png" height="11px" alt="'.$movie_not_seen.'" />';
					  echo '<img src="img/rondR-16x27.png" height="11px" alt="'.$movie_lent.'" />'."\n"; }
				if ( ($data['FilmVu'] == 'NON') && ($data['PretEnCours'] == 'NON') ) {
					  echo '				<img src="img/rondG-16x27.png" height="11px" alt="'.$movie_not_seen.'" />'."\n"; }
				if ( ($data['FilmVu'] == 'OUI') && ($data['PretEnCours'] == 'OUI') ) {
					  echo '				<img src="img/rondR-16x27.png" height="11px"" alt="'.$movie_lent.'" />'."\n"; } ?>
			</div> <!-- End of baseline-detail -->
		  </div> <!-- End of Affiche -->

		  <div class="col-md-9 col-sm-12"> <!-- Informations -->
			<div class="ps-informations">
			<h3 class="info-title"><?php echo $data['TitreVF']; ?></h3>
			<ul>
			  <li><span><?php echo $field_labels['TitreVO']; ?> : </span><?php echo $data['TitreVO']; ?></li>
			  <li><span><?php echo $field_labels['Realisateurs']; ?> : </span><?php echo add_commas($data['Realisateurs']); ?></li>
			  <li><span><?php echo $field_labels['Acteurs']; ?> : </span><?php echo add_commas($data['Acteurs']); ?></li>
			  <li><span><?php echo $field_labels['Genre']; ?> : </span><?php echo $data['Genre']; ?></li>
			  <li><span><?php echo $field_labels['Annee']; ?> : </span><?php echo $data['Annee']; ?>, <?php echo $data['Pays']; ?></li>
			  <li><span><?php echo $field_labels['Duree']; ?> : </span><?php echo $data['Duree']; ?> mn</li>

			<!-- Button Back -->
			  <li>
				<button type="button" class="btn btn-success btn-sm"><a href="javascript:window.history.go(-1)"><?php echo $button_back; ?></a></button>
			  </li>
			</ul>
			</div> <!--End of ps-informations -->
		  </div> <!--End of Informations -->

		</div>
		<div class="row"><!-- Second line ************************************************************************* -->
		  <div class="col-md-8 col-sm-12"> <!-- Contenu -->
			<div class="ps-contenu">
			  <?php
				if (!empty($data['Synopsis'])) {
				  echo'			  <div class="project-desc" id="Synopsis">'."\n";
				  echo'				<p><span>'.$field_labels['Synopsis'].' : </span>'.add_br($data['Synopsis'])."\n";
				  echo '			  </div>'."\n";
				}
				if (!empty($data['Bonus'])) {
				  echo'			  <div class="project-desc" id="Bonus">'."\n";
				  echo'				<p><span>'.$field_labels['Bonus'].' : </span>'.add_br($data['Bonus'])."\n";
				  echo '			  </div>'."\n";
				}
				if (!empty($data['Commentaires'])) {
				  echo'			  <div class="project-desc" id="Commentaries">'."\n";
				  echo'				<p><span>'.$field_labels['Commentaires'].' : </span>'.add_br($data['Commentaires']).'</p>'."\n";
				  echo '			  </div><!-- Movie Detail End -->'."\n";
				} ?>

			  <div class="project-desc" id="Note_&_BA">
				<p><span>Note : <img src="img/note<?php echo $data['Note']; ?>.png" /></span><br />
				<?php
				  if (($data['BAChemin'] <> "") && ($data['BAType'] == "URL"))
					echo '				<button type="button" class="btn btn-secondary btn-sm"><a href="'.$data['BAChemin'].'"> '.$show_trailer.'</a></button>'."\n";

				  if (($data['MediaChemin'] <> "") && ($data['MediaType'] == "URL"))
					echo '				<button type="button" class="btn btn-secondary btn-sm"><a href="'.$data['MediaChemin'].'"> '.$show_media.'</a></button>'."\n"; ?>
			  </div>
			</div><!-- End of ps-contenu -->
		  </div><!-- End of Contenu -->

		  <div class="col-md-4 col-sm-12"> <!-- Support -->
			<div class="ps-support">
			  <?php if ($show_media_infos) {
				echo '			  <div class="alert alert-dismissible alert-ylh">'."\n";
				echo '				<h4>'.$media_informations.'</h4><br />'."\n";
				if (!empty($data['Reference'])) {
				  echo '				<span>'.$field_labels['Reference'].' : </span>'.$data['Reference'].'<br />'."\n";
				}
				if (!empty($data['Support'])) {
				  echo '				<span>'.$field_labels['Support'].' : </span>'.$data['Support'].'<br />'."\n";
				}
				if (!empty($data['Edition'])) {
				  echo '				<span>'.$field_labels['Edition'].' : </span>'.$data['Edition'].'<br />'."\n";
				}
				if (!empty($data['Zone'])) {
				  echo '				<span>'.$field_labels['Zone'].' : </span>'.$data['Zone'].'<br />'."\n";
				}
				if (!empty($data['Langues'])) {
				  echo '				<span>'.$field_labels['Langues'].' : </span>'.$data['Langues'].'<br />'."\n";
				}
				if (!empty($data['SousTitres'])) {
				  echo '				<span>'.$field_labels['SousTitres'].' : </span>'.$data['SousTitres'].'<br />'."\n";
				}
				if (!empty($data['Audio'])) {
				  echo '				<span>'.$field_labels['Audio'].' : </span>'.$data['Audio'].'<br />'."\n";
				}
				echo '			</div>'."\n"; } ?>

			</div> <!-- End of ps-support -->
		  </div> <!-- End of Support -->
		<?php
		}
		$req->closeCursor(); // Completes the processing of the request
		?>

		</div> <!-- End of Row -->

	  </div> <!-- End of Content Movie Detail -->
	</div> <!-- End of container mrg_top70 -->

	  <!-- Footer **************************************** -->
	<div class="bg-primary" id="footer">
	  <div class="table-responsive container">
		<table class="table"><tbody>
		  <tr>
			<td class="left"><a href="pictos.php" alt="" title="<?php echo $help_pictos; ?>"><?php echo $help_pictos; ?></a></td>
			<td class="center"><a href="#top"><?php echo $top_page; ?></a></td>
			<td class="right"><a href="http://www.filmotech.fr" alt="" title="<?php echo $powered_by; ?> Filmotech">&copy; 2012-<?php echo date('Y'); ?></a></td>
		  </tr>
		</tbody></table>
	  </div>
	</div>
	<!-- End of Footer -->

	<!-- JavaScript plugins (requires jQuery) -->
	<script src="http://code.jquery.com/jquery.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>
	<!-- Enable responsive features in IE8 with Respond.js (https://github.com/scottjehl/Respond) -->
	<script src="js/respond.min.js"></script>

	<script>
	$(".dropdown-menu li a").click(function(){
	var selText = $(this).text();
	var selName = $(this).attr("name");
	$(this).parents('.navbar').find('.champ_recherche').val(selName);
	$(this).parents('.navbar').find('.dropdown-toggle').html('Recherche par '+selText+' <span class="caret"></span>');
	});
	</script>

  </body>
</html>
