<!DOCTYPE html>
<?php

/*  FILMOTECH Website - PICTOS page - Help
	(c) 2013-2021 by Pascal PLUCHON (http://www.filmotech.fr)

	Adapted by Yves Le Houerf (http://www.ifik.fr) - Template Films1 red #e50916
	Code published under the MIT license based on Bootstrap (https://getbootstrap.com)
	Web fonts from Google (https://fonts.google.com) */

// Site parameters
require_once("include/params.inc.php");
require_once("include/config.inc.php");

// Get configuration
$cfg = new CONFIG();

// Connection to database
try {
  if ( $cfg->DB_TYPE == 'sqlite' ) {
	$db = new PDO('sqlite:'.$cfg->SQLITE_DIRECTORY.$cfg->DB_NAME.'.sqlite3'); }
  else {
	$db = new PDO('mysql:host='.$cfg->DB_SERVER.';dbname='.$cfg->DB_NAME, $cfg->DB_USER, $cfg->DB_PASSWORD);
	$db->query("SET NAMES UTF8"); }
}

catch (Exception $e) {
  die('Erreur : '.$e->getMessage());
}
?>

<html>
  <head>
	<title><?php echo($window_title); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<!-- Bootstrap -->
	<link href="css/bootstrap.css" rel="stylesheet" media="screen">
	<link href="css/filmotech.css" rel="stylesheet" media="screen">
	<link rel="shortcut icon" href="img/pic/Favicon16x16.png" type="image/x-icon" />  </head>

  <body id="top">
	<!-- Nav bar *********************************** -->
	<nav class="navbar navbar-inverse navbar-dark navbar-fixed-top">
	  <div class="container">
		<div class="navbar-header">
		  <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
			<span class="sr-only">Navigation</span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
		  </button>
		  <a href="index.php" class="navbar-brand"><?php echo $navbar_title; ?></a>
		</div>
		<!-- Collect the nav links, forms, and other content for toggling -->
		<div id="navbar" class="navbar-collapse collapse">

 <?php include("include/menu.php"); ?>

		  <ul class="nav navbar-nav navbar-right">
			<li class="dropdown">
			  <a href="#" class="dropdown-toggle" id="search" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
			  <?php echo($navbar_search_by.' '.$search_label); ?> <span class="caret"></span></a>
			  <ul class="dropdown-menu">
				<?php 
				foreach ($search_fields as $value) {
				  echo( '				<li><a tabindex="0" href="#" name="'.$value.'">'.$field_labels[$value].'</a></li>'."\n");
				}?>
			  </ul>
			</li>
		  </ul>

		  <form class="navbar-form navbar-right" role="search" method="post" action="index.php">
		  <div class="form-group">
			<input class="champ_recherche" type="hidden" name="search_field" value="<?php echo($search_field); ?>">
			<input type="text" class="form-control" placeholder="<?php echo($navbar_search) ?>" name="search_query">
		  </div>
			<button type="submit" class="btn modl1_borders modl1"><?php echo($navbar_go) ?></button>
		  </form>

		</div>
	  </div> <!-- End of navbar container -->
	</nav>
	  
	<div class="container"> <!-- Main block -->		
	  <div class="row mrg_top70"> <!-- Row -->		  
		<div class="col-12 col-lg-12">

			<h3 class="info-title"><?php echo $help_picto_title; ?></h3>
			<!-- Pictograms Explanation -->
			  <table>
				<tr>
				  <th><?php echo $help_icon; ?>&nbsp;&nbsp;</th>
				  <th><?php echo $help_icon_definition; ?></th>
				</tr><tr>
				  <td><img src="img/rondG-16x27.png" height="11px" alt="<?php echo $movie_not_seen; ?>" /></td>
				  <td><?php echo $movie_not_seen; ?></td>
				</tr><tr>
				  <td><img src="img/rondR-16x27.png" height="11px" alt="<?php echo $movie_lent; ?>" /></td>
				  <td><?php echo $movie_lent; ?></td>
				</tr><tr>
				  <td><img src="img/rondG-16x27.png" height="11px" alt="<?php echo $movie_not_seen; ?>" />
				  <img src="img/rondR-16x27.png" height="11px" alt="<?php echo $movie_lent; ?>" /></td>
				  <td><?php echo $movie_not_seen_and_lent; ?></td>
				</tr>
			  </table>

		</div>
		<div class="col-12 col-lg-12">
			<button type="button" class="btn btn-success btn-sm"><a href="javascript:window.history.go(-1)"><?php echo $button_back2; ?></a></button>
		</div>  
	  </div>
	</div> <!-- End of Main block Container -->		  

	  <!-- Footer **************************************** -->
	<div class="bg-primary" id="footer">
	  <div class="table-responsive container">
		<table class="table"><tbody>
		  <tr>
			<td class="left"></td>
			<td class="center"><a href="http://www.filmotech.fr" alt="" title="<?php echo $powered_by; ?> Filmotech">&copy; 2012-<?php echo date('Y'); ?></a></td>
			<td class="right"></td>
		  </tr>
		</tbody></table>
	  </div>
	</div>
	<!-- End of Footer -->

	<!-- JavaScript plugins (requires jQuery) -->
	<script src="http://code.jquery.com/jquery.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>
	<!-- Enable responsive features in IE8 with Respond.js (https://github.com/scottjehl/Respond) -->
	<script src="js/respond.min.js"></script>

	<script>
	$(".dropdown-menu li a").click(function(){
	var selText = $(this).text();
	var selName = $(this).attr("name");
	$(this).parents('.navbar').find('.champ_recherche').val(selName);
	$(this).parents('.navbar').find('.dropdown-toggle').html('Recherche par '+selText+' <span class="caret"></span>');
	});
	</script>

  </body>
</html>
